Get PEPPOL UBL formatted document

The GET /ubl-documents/{documentId} endpoint is used to retrieve a specific UBL document by its identifier. The endpoint expects the documentId parameter to be provided in the path of the request URL.

Upon successful retrieval of the UBL document, the response will contain the UBL document in the response body. The format of the document will be in compliance with the PEPPOL standard.

NOTE: It's important to note that UBL documents are only available for 30 days. After this period, they will be permanently deleted and will no longer be available for retrieval. Therefore, it's important to archive the UBL documents as required by relevant laws and regulations.

Path Params
uuid
required

The documentId path parameter is the unique identifier of the UBL document.

Headers
string

The X-Customer header is used in API requests to indicate the identity of the customer sending a PEPPOL invoice. When the customer can't be derived from the authentication credentials used to authorize the request the X-Customer header must be used to specify which customer is making the request. This allows the API to process the request appropriately based on the identity of the customer. The usage of the X-Customer header is only allowed for internal consumers of the API. External consumers are not authorized to use this header.

string
required

The Accept header must be set to application/sh.peppol.api.v001+json. This specific format allows the API to identify the version of the request payload being sent and process it accordingly.

If the Accept header is not set to the expected format, the API will return an ERROR-UNSUPPORTED-ACCEPT-HEADER error to indicate that the request payload format is not supported.

Responses

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/sh.peppol.api.v001+json